Bug 7468 - неправильная разбивка на пакеты+неправильные зависимости
: неправильная разбивка на пакеты+неправильные зависимости
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/freeradius)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-26 17:34 by
Modified: 2006-07-20 13:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-26 17:34:44
Неправильно сделана разбивка на пакеты при сборпке с freenibs. так например в
спеке есть завимость на %name-sql (Name: freeradius) при сборке %package -n
freenibs-%nibs_version. Хотя в этом пакете (%name-sql) лежат нужные либы только
для радиуса,а не freenibs. Все нужные либы для nibs лажат в самом пакете
freenibs-0.0.3-1.0.4-alt1:
rlm_nibs_mysql-1.0.4.so 
rlm_nibs_postgresql-1.0.4.so

Так же при заворачивании нибса в пакет теряются его заготовки (болванки для
наплнения баз). Точнее содержимое
~/RPM/BUILD/freeradius-1.0.4/freenibs-0.0.3-bf3_freeradius-1.0.1/src/modules/rlm_nibs/drivers/rlm_nibs_mysql
и 
~/RPM/BUILD/freeradius-1.0.4/freenibs-0.0.3-bf3_freeradius-1.0.1/src/modules/rlm_nibs/drivers/rlm_nibs_postgresql
------- Comment #1 From 2005-10-19 13:01:18 -------
может, заберёте пакет себе?  Виктора что-то давненько не видно :(
(там ещё security update pending)
------- Comment #2 From 2005-12-15 17:05:24 -------
(In reply to comment #1)
> может, заберёте пакет себе?  Виктора что-то давненько не видно :(
> (там ещё security update pending)
Михаил -а там..это где -не напомните? А то биллинг опять понадобился..и на сей
раз решил чинить с заворачиванием в пакет. Созрел. :-)
------- Comment #3 From 2006-07-20 13:25:36 -------
Fixed in 1.1.2-alt2